Errors installing docker on OMV4

  • Code
    root@raspberrypi:/# dpkg -l | grep openm
    ii openmediavault 4.1.11 all openmediavault - The open network attached storage solution
    ic openmediavault-docker-gui 4.0.1 all OpenMediaVault plugin for Docker
    ii openmediavault-flashmemory 4.1 all folder2ram plugin for OpenMediaVault
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    ii openmediavault-netatalk 4.0.7-1 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
    ii openmediavault-shellinabox 3.4 all Web-based SSH client.
    root@raspberrypi:/#
  • finally docker gone :)

    Code
    root@raspberrypi:/# dpkg -l | grep openm
    ii openmediavault 4.1.11 all openmediavault - The open network attached storage solution
    ii openmediavault-flashmemory 4.1 all folder2ram plugin for OpenMediaVault
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    ii openmediavault-netatalk 4.0.7-1 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
    ii openmediavault-shellinabox 3.4 all Web-based SSH client.
    root@raspberrypi:/#
  • Ok, that is done, the outcome is :



    Should i now enable docker in browser control panel, OMV-Extras?
    and install plugin in ?

  • Should i now enable docker in browser control panel, OMV-Extras?
    and install plugin in ?

    Just because I don't want to do this again and I don't have an RPi handy to test, enable docker in omv-extras and then install docker-ce from the command line. apt-get install docker-ce


    If that goes well, then install the plugin.

    omv 5.5.12 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • hmmmm outcome :

    Code
    root@raspberrypi:/# apt-get install docker-ce
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package docker-ce is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    E: Package 'docker-ce' has no installation candidate
  • ok it was my mistake i forgot i was disabled docker in extras ,
    Now outcome:

  • I´d like to join the discussion as I´m having the exact same problem with the same behavious as timbatao.

    How about: journalctl -n20 -u docker.service

    This is my result

  • This is my result

    Not sure why your system can't load the ip_tables module. I just burned an SD card and started an RPi and here is the output:


    Bash
    root@raspberrypi:~# lsmod | grep ip
    ip_tables 24576 0
    x_tables 32768 1 ip_tables
    ipv6 434176 101


    I also had no problems installing docker-ce:

    omv 5.5.12 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • How did you set up the PI? Only through Putty or also through the web interface?
    I followed this Instructions and ran into the Docker problem


    I dont have a problem with doing a reinstall. But would nee detailed instructions..

  • ok,


    i am glad someone else is joined this conversation, i feel much better then i am not alone in this kind a situation :) makes me think i am not so stupid :DD
    How ever after all the tries yesturday i tried to install docker and it started show same errors...
    i fallowed all the steps again ( this time i tried to understand what i am doing ) managed to delete docker from the list ,and stoped with command :


    Code
    journalctl -n20 -u docker.service

    Started to show errors again in command line and it kind a stopped to allow me enter any commands
    The outcome:

  • cleaned everything again, the outcome of
    dpkg -l | grep openm :


    Code
    root@raspberrypi:~# dpkg -l | grep openm
    ii openmediavault 4.1.11 all openmediavault - The open network attached storage solution
    ii openmediavault-flashmemory 4.1 all folder2ram plugin for OpenMediaVault
    ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
    ii openmediavault-netatalk 4.0.7-1 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
    ii openmediavault-omvextrasorg 4.1.11 all OMV-Extras.org Package Repositories for OpenMediaVault
    ii openmediavault-shellinabox 3.4 all Web-based SSH client.
  • Ok
    So what i did is to flash new sd, and fallowed the steps from Techno Dad
    I noticed where it starts do missmatch all the flow.
    Its all starting with:

    Code
    apt-get update



    Code
    dpkg --configure -a

    After this command should enter again


    Code
    apt-get update

    After entering this should pop up table , but it never pops up (attaching table from video )
    So from this point everything starts ......

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!